package com.diagbot.repository;

import com.diagbot.entity.node.Symptom;
import com.diagbot.util.ListUtil;

import java.util.ArrayList;
import java.util.List;

public class SymptomNameNode {

    /**
     * 获取症状名称列表
     */
    public List<String> getSymptomList(String name, SymptomNameRepository symptomNameRepository, BaseNodeRepository baseNodeRepository) {
        List<String> symplt = new ArrayList<>();
        List<Symptom> symplist = symptomNameRepository.index(name, name, 100);

        if (ListUtil.isNotEmpty(symplist) && symplist.size() > 100) {
            symplist = symplist.subList(0, 100);
        }

        for (Symptom symptom : symplist) {
            symplt.add(symptom.getName());
        }
        return symplt;
    }
}

