package com.diagbot.repository;

import com.diagbot.entity.node.Symptom;
import com.diagbot.entity.node.Vital;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface VitalRepository extends Neo4jRepository<Vital, Long> {

    List<Vital> findByNameIs(String name);

    List<Vital> findByNameIn(List<String> names);

    List<Vital> findByNameContaining(String name);

}

